summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLeah Rowe <leah@libreboot.org>2023-09-29 20:42:41 +0100
committerLeah Rowe <leah@libreboot.org>2023-09-29 20:43:24 +0100
commit9a7bf4af0fcca345eba6d386a190a24f11946bca (patch)
treedd66c1c19c21d11ce31921323af70b4d19d9755c
parent2b7ae8e204d06c91876351968939a6c187bfd239 (diff)
blobs/download: don't pass dl_path as argument
Because fetch() is only called now from blobs/download, we can reliably know what dl_path should be. Signed-off-by: Leah Rowe <leah@libreboot.org>
-rwxr-xr-xinclude/blobutil.sh8
-rwxr-xr-xscript/update/blobs/download8
2 files changed, 7 insertions, 9 deletions
diff --git a/include/blobutil.sh b/include/blobutil.sh
index 3c55d20d..c9101c4f 100755
--- a/include/blobutil.sh
+++ b/include/blobutil.sh
@@ -60,10 +60,10 @@ fetch()
dl="${2}"
dl_bkup="${3}"
dlsum="${4}"
- dl_path="${5}"
- [ "${6# }" = "${6}" ] || err "fetch: space not allowed in _dest: '${6}'"
- [ "${6#/}" = "${6}" ] || err "fetch: absolute path not allowed: '${6}'"
- _dest="${6##*../}"
+ [ "${5# }" = "${5}" ] || err "fetch: space not allowed in _dest: '${5}'"
+ [ "${5#/}" = "${5}" ] || err "fetch: absolute path not allowed: '${5}'"
+ _dest="${5##*../}"
+ dl_path="${blobdir}/cache/${dlsum}"
mkdir -p "${dl_path%/*}" || err "fetch: !mkdir ${dl_path%/*}"
diff --git a/script/update/blobs/download b/script/update/blobs/download
index dd300268..d2df20e2 100755
--- a/script/update/blobs/download
+++ b/script/update/blobs/download
@@ -70,23 +70,21 @@ download_blobs()
{
[ -z "${CONFIG_HAVE_ME_BIN}" ] || \
fetch "intel_me" "${DL_url}" "${DL_url_bkup}" "${DL_hash}" \
- "${blobdir}/cache/${DL_hash}" "${CONFIG_ME_BIN_PATH}"
+ "${CONFIG_ME_BIN_PATH}"
[ -z "${CONFIG_INCLUDE_SMSC_SCH5545_EC_FW}" ] || \
fetch "sch5545ec" "${SCH5545EC_DL_url}" \
"${SCH5545EC_DL_url_bkup}" "${SCH5545EC_DL_hash}" \
- "${blobdir}/cache/${SCH5545EC_DL_hash}" \
"${CONFIG_SMSC_SCH5545_EC_FW_FILE}"
[ -z "${CONFIG_KBC1126_FIRMWARE}" ] || \
fetch "kbc1126ec" "${EC_url}" "${EC_url_bkup}" "${EC_hash}" \
- "${blobdir}/cache/${EC_hash}" "${CONFIG_KBC1126_FW1}"
+ "${CONFIG_KBC1126_FW1}"
[ -z "${CONFIG_VGA_BIOS_FILE}" ] || \
fetch "e6400vga" "${E6400_VGA_DL_url}" \
"${E6400_VGA_DL_url_bkup}" "${E6400_VGA_DL_hash}" \
- "${blobdir}/cache/${E6400_VGA_DL_hash}" \
"${CONFIG_VGA_BIOS_FILE}"
if [ ! -z "${CONFIG_HAVE_MRC}" ]; then
fetch "mrc" "${MRC_url}" "${MRC_url_bkup}" "${MRC_hash}" \
- "${blobdir}/cache/${MRC_hash}" "${CONFIG_MRC_FILE}"
+ "${CONFIG_MRC_FILE}"
fi
}